


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: UpdateTaskCommand</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.application.command</a> ]
</div>

<h1>Coverage Summary for Class: UpdateTaskCommand (com.dema.timeregistration.application.command)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">UpdateTaskCommand</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 6)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    0%
  </span>
  <span class="absValue">
    (0/ 18)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.application.command;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import com.dema.timeregistration.Utils;
<i>4</i>&nbsp;import com.dema.timeregistration.application.*;
<i>5</i>&nbsp;import com.dema.timeregistration.service.TaskService;
<i>6</i>&nbsp;import com.dema.timeregistration.service.models.UpdateTaskRequest;
<i>7</i>&nbsp;
<i>8</i>&nbsp;import java.util.Set;
<i>9</i>&nbsp;
<i>10</i>&nbsp;public class UpdateTaskCommand implements Command {
<i>11</i>&nbsp;    private final TaskService taskService;
<i>12</i>&nbsp;    private final ApplicationContext applicationContext;
<i>13</i>&nbsp;
<b class="nc"><i>14</i>&nbsp;    public UpdateTaskCommand(TaskService taskService, ApplicationContext applicationContext) {</b>
<b class="nc"><i>15</i>&nbsp;        this.taskService = taskService;</b>
<b class="nc"><i>16</i>&nbsp;        this.applicationContext = applicationContext;</b>
<b class="nc"><i>17</i>&nbsp;    }</b>
<i>18</i>&nbsp;
<i>19</i>&nbsp;    @Override
<i>20</i>&nbsp;    public String getDocumentation() {
<b class="nc"><i>21</i>&nbsp;        return &quot;Update a current task by naming the task name and using one of the following parameters, that you wish to update:\n&quot; +</b>
<i>22</i>&nbsp;                &quot;-o the task you wish to update\n-n update task name\n-p specify which project the task originates from\n&quot; +
<i>23</i>&nbsp;                &quot;-c specify which company the project originates from\n-d optional parameter to update the description\n&quot; +
<i>24</i>&nbsp;                &quot;-s optional parameter to update the status\n-e optional parameter to update the estimated duration of the task\n&quot; +
<i>25</i>&nbsp;                &quot;Example of usage:\nupdate-task -o \&quot;My Task\&quot; -p \&quot;My Project\&quot; -c \&quot;My Company\&quot; -s \&quot;Completed\&quot;&quot;;
<i>26</i>&nbsp;    }
<i>27</i>&nbsp;
<i>28</i>&nbsp;    @Override
<i>29</i>&nbsp;    public String getKeyword() {
<b class="nc"><i>30</i>&nbsp;        return &quot;update-task&quot;;</b>
<i>31</i>&nbsp;    }
<i>32</i>&nbsp;
<i>33</i>&nbsp;    @Override
<i>34</i>&nbsp;    public CommandGroup getCommandGroup() {
<b class="nc"><i>35</i>&nbsp;        return CommandGroup.PROJECT_ADMINISTRATION;</b>
<i>36</i>&nbsp;    }
<i>37</i>&nbsp;
<i>38</i>&nbsp;    @Override
<i>39</i>&nbsp;    public Set&lt;Parameter&gt; getParameters() {
<b class="nc"><i>40</i>&nbsp;        return Utils.newHashSet(</b>
<i>41</i>&nbsp;                new Parameter(&quot;o&quot;), // original name
<i>42</i>&nbsp;                new Parameter(&quot;n&quot;, false), // name
<i>43</i>&nbsp;                new Parameter(&quot;p&quot;, false), // project
<i>44</i>&nbsp;                new Parameter(&quot;c&quot;, false), // company
<i>45</i>&nbsp;                new Parameter(&quot;d&quot;, false), // description
<i>46</i>&nbsp;                new Parameter(&quot;s&quot;, false), // status
<i>47</i>&nbsp;                new Parameter(&quot;e&quot;, false) // estimate
<i>48</i>&nbsp;        );
<i>49</i>&nbsp;    }
<i>50</i>&nbsp;
<i>51</i>&nbsp;    @Override
<i>52</i>&nbsp;    public void doCommand(ParsedCommand parsedCommand) throws Exception {
<b class="nc"><i>53</i>&nbsp;        int taskId = taskService.getTaskId(parsedCommand.get(&quot;c&quot;), parsedCommand.get(&quot;p&quot;), parsedCommand.get(&quot;o&quot;));</b>
<i>54</i>&nbsp;
<b class="nc"><i>55</i>&nbsp;        UpdateTaskRequest request = new UpdateTaskRequest();</b>
<i>56</i>&nbsp;
<b class="nc"><i>57</i>&nbsp;        request.setId(taskId);</b>
<i>58</i>&nbsp;
<b class="nc"><i>59</i>&nbsp;        parsedCommand.getOptional(&quot;n&quot;).ifPresent(request::setName);</b>
<b class="nc"><i>60</i>&nbsp;        parsedCommand.getOptional(&quot;d&quot;).ifPresent(request::setDescription);</b>
<b class="nc"><i>61</i>&nbsp;        parsedCommand.getOptional(&quot;s&quot;).ifPresent(request::setStatus);</b>
<b class="nc"><i>62</i>&nbsp;        parsedCommand.getOptional(&quot;e&quot;).ifPresent(request::setEstimate);</b>
<i>63</i>&nbsp;
<b class="nc"><i>64</i>&nbsp;        taskService.updateTask(request, applicationContext.getUserContextOrThrow());</b>
<i>65</i>&nbsp;
<b class="nc"><i>66</i>&nbsp;        System.out.println(&quot;The task was updated successfully&quot;);</b>
<b class="nc"><i>67</i>&nbsp;    }</b>
<i>68</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
